[rspec-users] [newbie] rspec textmate bundle problem

Oliver Barnes oli.azevedo.barnes at gmail.com
Mon Feb 25 18:23:08 EST 2008


I've just installed the rspec textmate bundle from svn, and I'm
getting the following error when I try to run a single example:

`require': No such file to load -- rubygems (LoadError) from
from /tmp/temp_textmate.xVeAZb:3:in `require' from

I'm using a custom locomotive bundle with the rails 2.0.2 and rspec
1.1.3 gems installed, together with the respective rspec_on_rails
plugin. I've been searching for a solution for a couple of hours, and
i've tried setting both TM_RUBY and TM_RSPEC_HOME as suggested in
other posts, but that didn't solve it. At one point the error changed,
complaining about a missing rails 2.0.2 gem though it's  installed and
declared in the environment config, but I can't remember now what
prompted it.

appreciate any pointers with this, please bear with me as I'm new to
the list and still learning my way around testing and rspec... ;)

- Oliver

More information about the rspec-users mailing list